
SETUP_INFO = dict(
    name = 'infinishell',
    version = '1.3.2.2',
    author = 'Amnon Grossman',
    author_email = 'amnong@infinidat.com',

    url = 'http://www.infinidat.com',
    license = 'PSF',
    description = """Infinidat Management Shell""",
    long_description = """Infinidat Management Shell""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: Python Software Foundation License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = ['requests==1.2.3', 'infi.recipe.console_scripts', 'bunch>=1.0.0', 'distribute', 'colorama>=0.2.4', 'zc.buildout', 'infi.pyutils', 'capacity>=0.0.8', 'infi.shell==1.2.11'],
    namespace_packages = ['infinishell'],

    package_dir = {'': 'src'},
    package_data = {'': []},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = ['infinishell = infinishell.infinibox.entry_points:main'],
        gui_scripts = []),
    )

platform_install_requires = {
    'windows' : ['pyreadline>=1.6'],
    'linux' : [],
    'macosx' : ['readline==6.2.2'],
}

def _get_os_name():
    import platform
    system = platform.system().lower().replace('-', '').replace('_', '')
    if system == 'darwin':
        return 'macosx'
    return system


def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    SETUP_INFO['install_requires'] += platform_install_requires[_get_os_name()]
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

